Subject: Re: [PATCH] Add support for host aliases in config files

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Jan 2008 11:01:12 -0800

Jakub Narebski <[email-masked]> writes:

> From this I could not get how those configuration are meant to be
> used. Perhaps some usage example?
>
> BTW. wouldn't the same be solved better by enabling remote.<name>.url
> to be multi-valued, first working for fetch, all URLs for push?

I think that is already the case.  "git-remote" currently has an
annoying bug I haven't bothered to look into that makes the
command complain when remote.$nick.url has more than one values.
Worse, it complains _twice_ (or N-1 times for a remote that has
N URLs).

        : gitster git.git/master; git remote
        Warning: more than one remote.builders.url
        Warning: more than one remote.builders.url
        builders
        gfi
        git-gui
        gitk
        git-p4
        git-svn
        jbf-um
        ko
        ko-private
        mingw
        origin
        repo
        spearce.git
        wing-fc5
        wing-fc7
        wing-fc8

Here, "builders" remote has 3 URLs because I wanted to use it to
push to 3 machines on which I build binary releases.